Subject: How to make an elegant IPv4 outage
From: Franck Martin <[email-masked]>
To: [email-masked]
Date: Wed, 3 Jun 2026 13:32:51 -0500 (CDT)
List-Id: "IETF-Discussion. This is the most general IETF mailing list, intended for discussion of technical, procedural, operational, and other topics for which no dedicated mailing lists exist." <ietf.ietf.org>

Hi all,

Today I submitted this Internet Draft (I-D) to the IETF
https://datatracker.ietf.org/doc/draft-martin-retry-over-ipv6/

I have been building this site: pacific.ipv6forum.com <http://pacific.ipv6forum.com/> and I have been wondering, how could I do an IPv4 outage on this site on 6/6?

I have also seen that Czechoslovakia has mandated the end of IPv4 on government sites on 6/6/2032, 6 years from now.

I also recall (from recent experience) that it is relatively easy to reach >90% of IPv6 connections to an internal network (think datacenter), but the remaining last % are difficult to identify (or discard) because services may misbehave and prefer IPv4 from time to time: You don't know if they can't really do IPv4 or if they did not bother to do IPv6.

In an enterprise environment, micro-services are made redundant, there are multiple IPs and have fallback mechanisms when they encounter a 5xx error on one endpoint. 

So, I started to work on this Internet Draft. It is ready for the first round of public comments. I suspect, if successful, it will take 1 or 2 years to make it a standard. Then an extra 1 or 2 years, before it is implemented on enough clients (and browsers), we will be just in time for doing enough IPv4 outages on 6/6 to meet the 6/6/2032 deadline.

Oh, and on 6/6 pacific.ipv6forum.com <http://pacific.ipv6forum.com/> will have this IPv4 outage, and then on every 6th day of the month. May be the scraping bots will notice the new error code, and their humans will do something about it?

I may even do the same on peachymango.org <http://peachymango.org/>

I know this is not for everyone, but for the few that want to do this, let’s offer them some elegant solutions.

Now I don’t know which is the best IETF WG to discuss this. It is an HTTP extension, so likely HTTPBis, but this is about IPv6, so may be v6ops or 6man? Well if any of this group thinks it is a good idea.

Franck